/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import java.net.URI;
import java.util.Collection;

public interface RepositoryRegistry
{

    void add( final String repository );

    void remove( final String repository );

    Collection<String> get();

    URI[] getAsURI();

    void removeAll();

    boolean isEmpty();

}
