/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import org.sonatype.gshell.command.Command;
import org.sonatype.p2.bridge.P2Director;

import com.google.inject.Inject;

@Command( name = "shell/update" )
public class UpdateCommandOnSelf
    extends UpdateCommand
{

    @Inject
    public UpdateCommandOnSelf( final LockedFileSystemAccess fileSystem, final P2Director p2Director,
                                 final LockedRepositoryRegistry repositoryRegistry )
    {
        super( fileSystem, p2Director, repositoryRegistry );
    }

}
